<!DOCTYPE html>
<html>
    <head>
        <title> Add Remove(if-else) ARRAY</title>
    </head>
    <body>
        <h1> This is assignment - ARRAY</h1>
        <script>
            let words = ["black", "white", "red", "blue"];
            let addWord = () => {
            var word = document.getElementById("newWord").value ;
                document.getElementById("newWord").value = '';

                words.push(word);
                updateGUI();

            }
            let removeWord =() => {
                var word = document.getElementById("newWord").value ;
                if(word === ""){
                    words.pop();
                } else {
                    words = words.filter(function(item){return (item!= word)})
                    console.log("Assignment remove: " + word)
                }

                updateGUI();
            }

            let updateGUI =()=>{
                document.getElementById("result").innerHTML = words ;
            }
        </script>
	<input id="newWord" placeholder="Add words" type="" name="" value=""> <br/> <br/>

	<input onclick="addWord()" type="button" name="" value="Add"> | 
	<input onclick="removeWord()" type="button" name="" value="Remove"> | 

	 <br/> <br/>
	
	<label id="result"></label>
	<script type="text/javascript">
		updateGUI();
	</script>

    </body>
</html>